Error message: brave wallet is unable to fetch fee estimates

Polygon zkEVM chain: brave wallet is unable to fetch fee estimates so I can’t transact with ETH, plenty of ETH gas. I tried to do swap, bridge, send to another wallet, but I keep getting this error - any ideas?

What version of Brave? This should no longer be an issue on the latest. https://github.com/brave/brave-browser/issues/36370

Thank you for your response. Yes, I just updated the browser, it’s all good now. Thanks again for your help. :pray::pray:

1 Like